$dd_fin = "./DynamicServerRes/$ARGV[0]/resource.h";
$dd_fout = "DynamicServerErrorCode.h";

open(DD_FIN, "${dd_fin}") || die "Cannot open ${dd_fin}\n";
open(DD_FOUT, ">${dd_fout}") || die "Cannot open ${dd_fout}\n";

print DD_FOUT "#ifndef __DynamicServerErrorCode_h\n";
print DD_FOUT "#define __DynamicServerErrorCode_h\n\n";

WID:while (<DD_FIN>)
{
	if (/IDS_DYSR_/)
	{
		print DD_FOUT;
	}
}

print DD_FOUT "\n#endif//__DynamicServerErrorCode_h\n";

close DD_FIN;
close DD_FOUT;

print "OK\n";
